aboutsummaryrefslogtreecommitdiffstats
path: root/sw/deps/si5351/ci/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sw/deps/si5351/ci/install.sh')
-rw-r--r--sw/deps/si5351/ci/install.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/sw/deps/si5351/ci/install.sh b/sw/deps/si5351/ci/install.sh
new file mode 100644
index 0000000..4892d1a
--- /dev/null
+++ b/sw/deps/si5351/ci/install.sh
@@ -0,0 +1,21 @@
+set -ex
+
+main() {
+ # This fetches latest stable release of Xargo
+ local tag=$(git ls-remote --tags --refs --exit-code https://github.com/japaric/xargo \
+ | cut -d/ -f3 \
+ | grep -E '^v[0.1.0-9.]+$' \
+ | sort --version-sort \
+ | tail -n1)
+
+ curl -LSfs https://japaric.github.io/trust/install.sh | \
+ sh -s -- \
+ --force \
+ --git japaric/xargo \
+ --tag $tag \
+ --target x86_64-unknown-linux-musl
+
+ rustup component add rust-src
+}
+
+main